<div style="margin: 16px;">
    <h2>Advent of code</h2>

    <ng-container *ngFor="let i of visibleDays">
        <button mat-raised-button (click)="runAndTimeOperation(i)" color="primary" style="margin: 4px;">Day {{ i }}</button>
        <button mat-raised-button (click)="runAndTimeOperation(i, true)" color="accent">Bonus</button><br/>
    </ng-container>

    <h3>Result: {{ result$ | async }}</h3>
    <h4 *ngIf="operationTime">Operation time: {{ operationTime | number }}ms</h4>
</div>